Fixes mfi panic on recused on non-recusive mutex MFI I/O lock

Removes a mtx_unlock call for mfi_io_lock which is never aquired
--- sys/dev/mfi/mfi.c.orig	2012-11-07 14:40:33.960774577 +0000
+++ sys/dev/mfi/mfi.c	2012-11-07 14:50:28.267789676 +0000
@@ -728,10 +728,8 @@
 		    "hook\n");
 		return (EINVAL);
 	}
-	if ((error = mfi_aen_setup(sc, 0), 0) != 0) {
-		mtx_unlock(&sc->mfi_io_lock);
+	if ((error = mfi_aen_setup(sc, 0), 0) != 0)
 		return (error);
-	}
 
 	/*
 	 * Register a shutdown handler.
--- sys/dev/mfi/mfi_tbolt.c.orig	2012-11-07 12:21:56.249116533 +0000
+++ sys/dev/mfi/mfi_tbolt.c	2012-11-07 14:50:28.268789748 +0000
@@ -1194,6 +1194,7 @@
 			sc->hw_crit_error= 1;
 			return ;
 		}
+		mtx_unlock(&sc->mfi_io_lock);
 		if ((error = mfi_tbolt_init_MFI_queue(sc)) != 0)
 				return;
 
@@ -1225,7 +1226,9 @@
 			/*
 			 * Initiate AEN (Asynchronous Event Notification)
 			 */
+			mtx_unlock(&sc->mfi_io_lock);
 			mfi_aen_setup(sc, sc->last_seq_num);
+			mtx_lock(&sc->mfi_io_lock);
 			sc->issuepend_done = 1;
 			device_printf(sc->mfi_dev, "second stage of reset "
 			    "complete, FW is ready now.\n");
@@ -1237,7 +1240,6 @@
 		device_printf(sc->mfi_dev, "mfi_process_fw_state_chg_isr "
 		    "called with unhandled value:%d\n", sc->adpreset);
 	}
-	mtx_unlock(&sc->mfi_io_lock);
 }
 
 /*
